For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Todos
      • POSTCreate Todo
      • PUTUpdate Todo
      • DELDelete Todo
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Todo

Update Todo

PUT
https://api.projectmanager.com/api/data/tasks/todos/:todoId
PUT
/api/data/tasks/todos/:todoId
$curl -X PUT https://api.projectmanager.com/api/data/tasks/todos/todoId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "text": "string",
16 "complete": true,
17 "createDate": "2024-01-15T09:30:00Z",
18 "modifyDate": "2024-01-15T09:30:00Z"
19 }
20}
Update a todo for a task
Was this page helpful?
Previous

Delete Todo

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

todoIdstringRequiredformat: "uuid"
the id of the todo

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

the data for updating a todo
textstring or nullOptional
The full description of this TaskTodo.
completeboolean or nullOptional
True if this TaskTodo is complete.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

A TaskTodo is a sub-task that represents a unit of work on the Task. You can use TaskTodo to represent individual items for a larger piece of work.